summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 20:01:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:59 +0200
commitc4048881461763b4ae0ace02d7d6cad4802d6cef (patch)
tree4843ada2af4d5d90eee6958b30edcb96b6926e2f
parent94708fbaf693b3540ca7ecda83977f55eb3d1a5f (diff)
downloadslackbuilds-c4048881461763b4ae0ace02d7d6cad4802d6cef.tar.gz
slackbuilds-c4048881461763b4ae0ace02d7d6cad4802d6cef.tar.xz
system/gpsbabel: Added to 12.0 repository
-rw-r--r--system/gpsbabel/README13
-rw-r--r--system/gpsbabel/gpsbabel.SlackBuild57
-rw-r--r--system/gpsbabel/gpsbabel.info8
-rw-r--r--system/gpsbabel/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/system/gpsbabel/README b/system/gpsbabel/README
new file mode 100644
index 0000000000..223ad30c13
--- /dev/null
+++ b/system/gpsbabel/README
@@ -0,0 +1,13 @@
+GPSBabel converts waypoints, tracks, and routes from one format to another,
+whether that format is a common mapping format like Delorme, Streets and
+Trips, or even a serial or USB upload or download to a GPS receiver such as
+those from Garmin and Magellan. By flattening the Tower of Babel that the
+authors of various programs for manipulating GPS data have imposed upon us, it
+returns to us the ability to freely move our own waypoint data between the
+programs and hardware we choose to use.
+
+It contains extensive data manipulation abilities making it a convenient for
+server-side processing or as the backend for other tools.
+
+It does not convert, transfer, send, or manipulate maps. We process data that
+may (or may not be) placed on a map, such as waypoints, tracks, and routes.
diff --git a/system/gpsbabel/gpsbabel.SlackBuild b/system/gpsbabel/gpsbabel.SlackBuild
new file mode 100644
index 0000000000..43c4024d3d
--- /dev/null
+++ b/system/gpsbabel/gpsbabel.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for gpsbabel
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+set -e
+
+PRGNAM=gpsbabel
+VERSION=1.3.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-zlib=system \
+ --without-doc
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/gpsbabel/gpsbabel.info b/system/gpsbabel/gpsbabel.info
new file mode 100644
index 0000000000..247351f6ca
--- /dev/null
+++ b/system/gpsbabel/gpsbabel.info
@@ -0,0 +1,8 @@
+PRGNAM="gpsbabel"
+VERSION="1.3.3"
+HOMEPAGE="http://www.gpsbabel.org/"
+DOWNLOAD="http://downloads.sourceforge.net/gpsbabel/gpsbabel-1.3.3.tar.gz"
+MD5SUM="0ba7f4c623518e6bfe8da12d0691fb96"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/system/gpsbabel/slack-desc b/system/gpsbabel/slack-desc
new file mode 100644
index 0000000000..9c2e3ec217
--- /dev/null
+++ b/system/gpsbabel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpsbabel: GPSBabel (GPS format converter)
+gpsbabel:
+gpsbabel: GPSBabel converts waypoints, tracks, and routes from one format
+gpsbabel: to another, whether that format is a common mapping format like
+gpsbabel: Delorme, Streets and Trips, or even a serial or USB upload or
+gpsbabel: download to a GPS receiver such as those from Garmin and Magellan.
+gpsbabel:
+gpsbabel:
+gpsbabel:
+gpsbabel:
+gpsbabel: